Phone & voice · Branded Calling
Attaches numbers to a verified identity.
POST
https://api.pozy.ai/v1/branded-calling/identities/{id}/numbersattachBrandedCallingNumbers
Guide: Branded calling
Request
Send your API key as Authorization: Bearer pz_live_.... Read-only keys cannot call it. Keys with the telephony resource group disabled get 403 resource_group_disabled. Authentication
Path parameters
| Name | Type | Notes |
|---|---|---|
idrequired | string |
Request body
application/json, required
phoneNumberIdsarray of stringrequiredAt least 1 item. Up to 15 items.
signatureobjectrequiredimageBase64stringrequiredsignerNamestringUp to 255 characters.
Example
curl -X POST "https://api.pozy.ai/v1/branded-calling/identities/6bfebd43ddc270f6d2c56fc5/numbers" \
-H "Authorization: Bearer $POZY_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phoneNumberIds": [
"+14155550123"
],
"signature": {
"imageBase64": "string"
}
}'const res = await fetch("https://api.pozy.ai/v1/branded-calling/identities/6bfebd43ddc270f6d2c56fc5/numbers", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.POZY_API_KEY}`,
"Content-Type": "application/json",
},
body: JSON.stringify({
phoneNumberIds: [
"+14155550123"
],
signature: {
imageBase64: "string"
}
}),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);import os
import requests
resp = requests.post(
"https://api.pozy.ai/v1/branded-calling/identities/6bfebd43ddc270f6d2c56fc5/numbers",
headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
json={
"phoneNumberIds": [
"+14155550123",
],
"signature": {
"imageBase64": "string",
},
},
timeout=30,
)
resp.raise_for_status()
print(resp.json())Response
201 on success
numbersarray of objectphoneNumberIdstringphoneNumberstringstatusstringOne of
submitted,in_review,verified,unsuccessful,suspended,expired,permanently_rejected.rejectionReasonobjectCan be null.
4 child fields
codestringtitlestringdetailstringmessagestringCan be null.
verifiedAtstring (date-time)Can be null.
addedAtstring (date-time)Can be null.
201 response
{
"numbers": [
{
"phoneNumberId": "698fba0989716df44adb771f",
"phoneNumber": "+14155550123",
"status": "submitted",
"rejectionReason": {
"code": "string",
"title": "Launch day",
"detail": "string",
"message": "Hello from Pozy"
},
"verifiedAt": "2026-10-02T09:00:00.000Z",
"addedAt": "2026-10-02T09:00:00.000Z"
}
]
}Errors
Errors use one shape: { error, type, code, param?, details? }. The ones you are most likely to see here:
| 400 | invalid_request_error | A parameter or body field is missing or invalid. param names it. |
| 401 | authentication_error | The API key is missing, revoked or expired. |
| 403 | permission_error | The key is read-only, scoped to other profiles, or has this resource group disabled. |
| 404 | not_found | Nothing with that id exists in your workspace. |
| 429 | rate_limit_error | Too many requests this minute. Wait for Retry-After seconds. |
Every code is listed in Errors.
More in Branded Calling
GETList registered businessesPOSTRegister a business for Branded CallingGETGet a registered businessDELDelete a registered businessPOSTCreate a caller identity share linkGETList pre-approved call reasonsGETList caller identitiesPOSTCreate a caller identityPOSTDry-run a caller identity before creating itGETGet a caller identityPATCHEdit or resubmit a caller identityDELDelete a caller identityPOSTResend the authorizer's codePOSTConfirm the authorizer's codeGETList the numbers on a caller identityDELDetach numbers from an identity